<template>
  <el-row :gutter="40" class="panel-group">
    <el-col :xs="12" :sm="12" :lg="8" class="card-panel-col">
      <div class="card-panel --green">
        <div class="card-panel-description">
          <div class="card-panel-text">Total Register</div>
          <div>
            <count-to
              :start-val="0"
              :end-val="this.registered_id"
              :duration="2600"
              class="card-panel-num"
            />
            <svg-icon icon-class="user-green" class="--blue"/>
          </div>
          <div class="card-panel__bottom">
            <div class="card-panel-icon-wrapper icon-message">
              <svg-icon icon-class="user-green" class-name="card-panel-icon" />
            </div>
          </div>
        </div>
      </div>
    </el-col>
    <el-col :xs="12" :sm="12" :lg="8" class="card-panel-col">
      <div class="card-panel">
        <div class="card-panel-description">
          <el-row :gutter="40" class="mid">
            <el-col :xs="12" :sm="12" :lg="6">
              <div class="icon-red">
                <svg-icon icon-class="settings-work-tool" class-name="card-panel-icon" />
              </div>
            </el-col>
            <el-col :xs="12" :sm="12" :lg="18">
              <div class="card-panel-text-black">Total Petani Mengakses Fitur Aplikasi</div>
            </el-col>
          </el-row>
          <div class="progress">
            <transition appear>
              <el-progress :text-inside="true" :stroke-width="35" :percentage="getTotalActivePercentace()" class="red"></el-progress>
            </transition>
            <div class="farmer-count farmer-count--percent">{{ getTotalActivePercentace() }} %</div>
            <div class="farmer-count farmer-count--decimal">
              {{ totalActiveCount }}
              <svg-icon icon-class="people-dark-green" />
            </div>
          </div>
        </div>
      </div>
    </el-col>
     <el-col :xs="12" :sm="12" :lg="8" class="card-panel-col">
      <div class="card-panel --red">
        <div class="card-panel-description">
          <div class="card-panel-text">Total Petani <br> Mengakses Aplikasi</div>
          <div>
            <count-to
              :start-val="0"
              :end-val="countActiveUser"
              :duration="2600"
              class="card-panel-num"
            />
          </div>
          <div class="card-panel__bottom">
            <div class="card-panel-icon-wrapper icon-message">
              <svg-icon icon-class="user-aktiv" class-name="card-panel-icon" />
            </div>
          </div>
        </div>
      </div>
    </el-col>
    <!-- <el-col :xs="12" :sm="12" :lg="8" class="card-panel-col">
      <div class="card-panel">
        <div class="card-panel-description">
          <el-row :gutter="40" class="mid">
            <el-col :xs="12" :sm="12" :lg="6">
              <div class="icon-green">
                <svg-icon icon-class="update-arrow" class-name="card-panel-icon" />
              </div>
            </el-col>
            <el-col :xs="12" :sm="12" :lg="18">
              <div class="card-panel-text-black">Total User Aktif</div>
            </el-col>
          </el-row>
          <div class="progress">
            <transition appear>
              <el-progress :text-inside="true" :stroke-width="35" :percentage="getTotalActivePercentace()"></el-progress>
            </transition>
            <div class="farmer-count farmer-count--percent">{{ getTotalActivePercentace() }} %</div>
            <div class="farmer-count farmer-count--decimal">
              {{ totalActiveCount }}
              <svg-icon icon-class="people-dark-green" />
            </div>
          </div>
        </div>
      </div>
    </el-col> -->
  </el-row>
</template>

<script>
import CountTo from 'vue-count-to';
export default {
  components: {
    CountTo
  },
  computed: {
    active_farmer: {
      get: function() {
        const farmers = this.$store.state.farmer.farmers;
        return farmers.totalActiveFarmer;
      }
    },
    registered_id: {
      get: function() {
        const farmers = this.$store.state.farmer.farmers;
        return farmers.totalRegisteredFarmer;
      }
    },
    countActiveUser: {
      get: function() {
        return this.$store.state.activity.countActiveUser;
      }
    },
    totalActiveCount: {
      get: function() {
        return this.$store.state.activity.totalActiveCount;
      }
    }
  },
  methods: {
    getActiveUserPercentage: function() {
      const _self = this;
      if (typeof _self.active_farmer === "number" && typeof _self.registered_id === "number") {
        return (_self.active_farmer / _self.registered_id * 100).toFixed(2);
      } else {
        return 0;
      }
    },
    getCommodityUserPercentage: function() {
      const _self = this;
      if (typeof _self.commodity_farmer === "number" && typeof _self.registered_id === "number") {
        return (_self.commodity_farmer / _self.registered_id * 100).toFixed(2);
      } else {
        return 0;
      }
    },
    getTotalActivePercentace: function() {
      const _self = this
      if (typeof _self.totalActiveCount === "number" && typeof _self.registered_id === "number") {
        return (_self.totalActiveCount / _self.registered_id * 100).toFixed(2);
      } else {
        return 0;
      }
    }
  }
};
</script>

<style rel="stylesheet/scss" lang="scss" scoped>
@import '@/styles/variables.scss';
@import '@/styles/mixin.scss';
.panel-group {
  margin-top: 18px;
  .card-panel-col {
    margin-bottom: 32px;
  }
  .card-panel {
    cursor: pointer;
    font-size: 12px;
    position: relative;
    padding: 13px 20px;
    overflow: hidden;
    color: #4a4a4a;
    height: 165px;
    background: #fff;
    box-shadow: 4px 4px 40px rgba(0, 0, 0, 0.05);
    border-color: rgba(0, 0, 0, 0.05);
    @include ritx-box;
    position: relative;

    &.\-\-green {
      background-image: linear-gradient(to left, $ritx-dark-green-2, $ritx-mid-green);
      color: white;

      .card-panel-text {
        margin-bottom: 59px;
      }
    }

    &.\-\-red {
      background-image: linear-gradient(to left, $ritx-orange, $ritx-dark-orange);
      color: white;

      .card-panel-text {
        margin-bottom: 59px;
      }
    }

    .svg-icon {
      vertical-align: top;

      &.\-\-green {
        color: #5f9e32;
      }
      &.\-\-red {
        color: #ff4343;
      }
    }

    .icon-red {
      width: 70px;
      height: 70px;
      border-radius: 6px;
      background-color: #ff4343;
      display: flex;
      justify-content: center;
      align-items: center;

      .svg-icon {
        width: 40px;
        height: 40px;
      }
    }
    .icon-green {
      width: 70px;
      height: 70px;
      border-radius: 6px;
      background-color: #76be40;
      display: flex;
      justify-content: center;
      align-items: center;

      .svg-icon {
        width: 40px;
        height: 40px;
      }
    }

    &:hover {
      .card-panel-icon-wrapper {
        color: #fff;
      }
    }
    .icon-people {
      color: #40c9c6;
    }
    .icon-message {
      color: #36a3f7;
    }
    .icon-money {
      color: #f4516c;
    }
    .icon-shopping {
      color: #34bfa3;
    }
    .card-panel-icon-wrapper {
      margin: 14px 0 0 14px;
      transition: all 0.38s ease-out;
      border-radius: 6px;
    }
    .card-panel-icon {
      float: left;
      font-size: 120px;
    }
    .card-panel-description {
      float: left;
      font-weight: bold;
      margin-left: 0px;
      width: 100%;
      .card-panel {
        &-text {
          line-height: 1.4;
          font-size: 14px;
        }
        &-info {
          font-size: 20px;
          margin-bottom: 25px;

          &.\-\-blue {
            color: #0076a9;
          }
          &.\-\-green {
            color: #5f9e32;
          }
          &.\-\-orange {
            color: #dfa42b;
          }
          &.\-\-red {
            color: #de3636;
          }
        }
      }
      .card-panel-num {
        font-size: 56px;
        vertical-align: top;
        line-height: 0.8;
        color: white;
      }
    }
    &--active {
      background: linear-gradient(200deg, $ritx-light-green, $ritx-dark-green);
      color: $true-white;
      .card-panel {
        &-text {
          color: $true-white !important;
        }
      }
    }
    &__bottom {
      position: absolute;
      bottom: -4px;
      right: -11px;
    }
  }
  .farmer-count {
    display: inline-block;
    color: $ritx-dark-green;
    font-weight: 700;
    margin-top: 10px;
    &--decimal {
      float: right;
    }
  }
  .progress {
    margin-top: 20px;
  }

  .card-panel-text-black {
    color: #373737;
    font-size: 18px;
  }

  .mid {
    display: flex;
    align-items: center;
  }
}
</style>
